App\Library\Amazon\Classes\SoundCard:
    xml_root_name: SoundCard
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\VariationData
        additionalFeatures:
            expose: true
            access_type: public_method
            serialized_name: AdditionalFeatures
            accessor:
                getter: getAdditionalFeatures
                setter: setAdditionalFeatures
            type: App\Library\Amazon\Classes\AdditionalFeatures
        bundledSoftware:
            expose: true
            access_type: public_method
            serialized_name: BundledSoftware
            accessor:
                getter: getBundledSoftware
                setter: setBundledSoftware
            type: App\Library\Amazon\Classes\BundledSoftware
        channels:
            expose: true
            access_type: public_method
            serialized_name: Channels
            accessor:
                getter: getChannels
                setter: setChannels
            type: App\Library\Amazon\Classes\Channels
        lineIn:
            expose: true
            access_type: public_method
            serialized_name: LineIn
            accessor:
                getter: getLineIn
                setter: setLineIn
            type: App\Library\Amazon\Classes\LineIn
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: App\Library\Amazon\Classes\ModelNumber
        opticalIn:
            expose: true
            access_type: public_method
            serialized_name: OpticalIn
            accessor:
                getter: getOpticalIn
                setter: setOpticalIn
            type: App\Library\Amazon\Classes\OpticalIn
        opticalOut:
            expose: true
            access_type: public_method
            serialized_name: OpticalOut
            accessor:
                getter: getOpticalOut
                setter: setOpticalOut
            type: App\Library\Amazon\Classes\OpticalOut
        sampleRate:
            expose: true
            access_type: public_method
            serialized_name: SampleRate
            accessor:
                getter: getSampleRate
                setter: setSampleRate
            type: App\Library\Amazon\Classes\SampleRate
        soundCardInterface:
            expose: true
            access_type: public_method
            serialized_name: SoundCardInterface
            accessor:
                getter: getSoundCardInterface
                setter: setSoundCardInterface
            type: App\Library\Amazon\Classes\SoundCardInterface
        soundCardMinSystemRequirements:
            expose: true
            access_type: public_method
            serialized_name: SoundCardMinSystemRequirements
            accessor:
                getter: getSoundCardMinSystemRequirements
                setter: setSoundCardMinSystemRequirements
            type: App\Library\Amazon\Classes\SoundCardMinSystemRequirements
        speakerOut:
            expose: true
            access_type: public_method
            serialized_name: SpeakerOut
            accessor:
                getter: getSpeakerOut
                setter: setSpeakerOut
            type: App\Library\Amazon\Classes\SpeakerOut
        voltage:
            expose: true
            access_type: public_method
            serialized_name: Voltage
            accessor:
                getter: getVoltage
                setter: setVoltage
            type: App\Library\Amazon\Classes\Voltage
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: App\Library\Amazon\Classes\Wattage
